toolzerhub API Docs

List subreddit posts

Returns posts from required subreddit_name. Optional sort and filter_posts control results; use after for pagination.

2 credits / requestBilled only on success
GET
/v2/reddit/subreddit/feed

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

subreddit_name*string

Subreddit name without the r/ prefix.

Length1 <= length
sort?string

Sort order for the feed.

Value in

  • "BEST"
  • "HOT"
  • "NEW"
  • "TOP"
  • "CONTROVERSIAL"
  • "RISING"
filter_posts?string

Optional comma-separated post IDs to filter out of the feed.

after?string

Cursor from the previous response used to fetch the next page.

curl -X GET "https://example.com/v2/reddit/subreddit/feed?subreddit_name=pics" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "elements": {      "edges": [        {          "property1": null,          "property2": null        }      ],      "pageInfo": {        "property1": null,        "property2": null      },      "dist": 0,      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}